<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：cls.game_info.php
 * 摘    要：游戏主页处理类
 * 适用范围：PHPWMS 1.0
 * 版    本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/

	!defined('IN_SYS') and die('Hacking attempt');

	class User {

		private   $db;
		private   $sp;
		private   $config;

		public function __construct($config=array(),&$db,&$sp) {
			$this -> db		 = $db;
			$this -> sp		 = $sp;
			$this -> config  = $config;
		}

		public function getUrl($arr = array()) {
			$html_flag = intval($this -> config['html_flag']);
			switch ($html_flag) {
				case 1:
					return '?';
					break;
				case 2:
					
					break;
				case 3:
					
					break;
				case 4:
					
					break;
				case 5:
					
					break;
				case 6:
					return '';
					break;
			}
		}

		public function getUrlArr() {
			global $html_arr;

			switch (intval($this -> config['html_flag'])) {
				case 1:
					foreach($_GET as $k => $v) {
						$arr = explode($html_arr['ns'],$k);
					}
					break;
				case 2:
					
					break;
				case 3:
					
					break;
				case 4:
					
					break;
				case 5:
					
					break;
				case 6:
					
					break;
			}
			return $arr;
		}

		public function chkLogin() {
			global $dc;

			if (!$dc -> chkEmpty($_SESSION['login']['name']) || !$dc -> chkEmpty($_SESSION['login']['pwd'])) {
				return false;
			} else {
				return true;
			}
		}
	}
?>